<form #jqlForm="ngForm" class="col-md-8 jqlForm">
  <div class="form-group row">
    <label for="jql-query" class="col-md-1"
      ><b>JQL</b><span class="text-danger">*</span></label
    >
    <textarea
      class="form-control col-md-8"
      name="jql-query"
      id=""
      [(ngModel)]="jql"
      rows="4"
      #jqlQuery="ngModel"
      required
    >
JQL search</textarea
    >
  </div>
  <div *ngIf="jqlQuery.invalid && (jqlQuery.dirty || jqlQuery.touched)">
    <div *ngIf="jqlQuery.errors.required" class="text-danger invalid-text">
      Name is required.
    </div>
  </div>
  <button
    type="submit"
    class="btn btn-primary"
    (click)="queryIssues()"
    [disabled]="!jqlForm.form.valid || !userLoggedIn()"
    [class.disabled]="!jqlForm.form.valid || !userLoggedIn()"
  >
    View Latest Comments
  </button>
</form>
<table class="table list-issues">
  <thead>
    <tr>
      <th>Key</th>
      <th>Summary</th>
      <th>Status</th>
      <th>Assignee</th>
      <th>Comment</th>
    </tr>
  </thead>
  <tbody>
    <tr
      *ngFor="
        let issue of issues
          | paginate
            : {
                itemsPerPage: 10,
                currentPage: p
              }
      "
    >
      <td scope="row">{{ issue.key }}</td>
      <td>{{ issue.summary }}</td>
      <td>{{ issue.status }}</td>
      <td>{{ issue.assignee }}</td>
      <td *ngIf = "issue.comments">
        <b >{{ issue.comments.author.displayName }}</b> wrote on
        <b >{{ issue.comments.created }}</b>
        <br />
        <span tooltip="<p>{{ issue.comments.body }}</p>" placement="top"
          >{{ issue.comments.body | slice: 0:100 }} ...</span
        >
      </td>
    </tr>
  </tbody>
</table>
<pagination-controls (pageChange)="p = $event"></pagination-controls>
<div class="text-danger" *ngIf="error">{{ error }}</div>
